' Quelltext 14.14: Formateigenschaften mit BITSET() und BIT() setzen und lesen
ENUM FORMATE
  fett, unterstrich, kursiv
END ENUM
DIM AS INTEGER formatierung
formatierung = BITSET(formatierung, FORMATE.fett)   ' Fettschrift aktivieren
formatierung = BITSET(formatierung, FORMATE.kursiv) ' Kursivschrift aktivieren
PRINT "Formatierungsmuster: "; BIN(formatierung, 3)

' Ist Fettschrift aktiviert?
IF BIT(formatierung, FORMATE.fett) THEN PRINT "fett"

' Ist sowohl Fett- als auch Kursivschrift aktiviert?
IF BIT(formatierung, FORMATE.fett) AND BIT(formatierung, FORMATE.kursiv) THEN
  PRINT "Fett und kursiv? Uebertreiben Sie es bitte nicht!"
END IF

' Sind alle drei Formatierungsformen deaktiviert?
IF BIT(formatierung, FORMATE.fett) = 0 _
   AND BIT(formatierung, FORMATE.unterstrich) = 0 _
   AND BIT(formatierung, FORMATE.kursiv) = 0 THEN
   PRINT "Es wurde keine Formatierung gewaehlt."
END IF

' nachtraeglich Fettschrift aktivieren
formatierung = BITSET(formatierung, FORMATE.fett)
PRINT "Fettschrift wurde aktiviert - neues Formatierungsmuster: ";
PRINT BIN(formatierung, 3)
SLEEP
