' Quelltext 17.5: Datei kopieren
' Kopiere die Datei 'test.bas' in einen temporaeren Unterordner.
' Dort kann sie bearbeitet werden, ohne die originale Datei zu beeinflussen.

' Notwendige INCLUDE-Datei einbinden
#INCLUDE "vbcompat.bi"

' tempOrdner anlegen, falls er noch nicht existiert. Der Ordner soll am Ende nur
' geloescht werden, wenn er vor Programmstart noch nicht existierte - daher muss
' gespeichert werden, ob das Anlegen erfolgreich war.
DIM AS BOOLEAN tempOrdnerExistierte = MKDIR("tempOrdner")

' Datei kopieren
IF FILECOPY("test.bas", "tempOrdner/test.bas") = 0 THEN
  ' jetzt kann die neue Datei bearbeitet werden
  KILL "tempOrdner/test.bas"
END IF

' ggf. tempOrdner wieder loeschen
IF NOT tempOrdnerExistierte THEN RMDIR "tempOrdner"
SLEEP
