' Quelltext 12.18: Variable Parameterliste kopieren
DECLARE FUNCTION mittelwert CDECL (anz AS INTEGER, ...) AS SINGLE
DECLARE FUNCTION summe CDECL (anz AS INTEGER, varList as CVA_LIST) AS INTEGER

FUNCTION mittelwert CDECL (anz AS INTEGER, ...) AS SINGLE
  DIM AS CVA_LIST liste
  CVA_START(liste, anz)
  DIM AS INTEGER s = summe(anz, liste)    ' Auslagerung der Summenberechnung
  CVA_END(liste)                          ' CVA_LIST freigeben
  RETURN s / anz
END FUNCTION

FUNCTION summe CDECL (anz AS INTEGER, varList AS CVA_LIST) AS INTEGER
  DIM AS CVA_LIST liste
  DIM AS INTEGER rueckgabe = 0
  ' Da nicht sicher ist, dass die aufrufende Prozedur die uebergebene Liste nicht
  ' selbst verwendet (in diesem Fall kommen sich die verschiedenen Aufrufe von
  ' CVA_ARG gegenseitig in die Quere), wird lieber eine Kopie angelegt.
  CVA_COPY(liste, varList)
  ' Mit dieser Kopie wird nun weitergearbeitet:
  FOR i AS INTEGER = 1 TO anz
    rueckgabe += CVA_ARG(liste, INTEGER)
  NEXT
  ' CVA_LIST freigeben und Summenwert zurueckgeben:
  CVA_END(liste)
  RETURN rueckgabe
END FUNCTION

PRINT mittelwert(3, 15, 17, 20)
SLEEP
