' Quelltext 16.11: Datensatz aus einer binären Datei einlesen
TYPE TypDatensatz
  AS LONG      id
  AS STRING*10 inhalt
END TYPE
DIM AS TypDatensatz datensatz
DIM AS INTEGER p = 5

DIM AS INTEGER dateinummer = FREEFILE
OPEN "test.dat" FOR BINARY AS #dateinummer
' versuche, Datensatz an Position p zu lesen
IF LOF(dateinummer) >= p*SIZEOF(TypDatensatz) THEN
  ' Die Datei ist lang genug, um den Datensatz 'p' vollstaendig zu enthalten
  GET #dateinummer, 1+(p-1)*SIZEOF(TypDatensatz), datensatz
ELSE
  ' Die Datei ist zu kurz - Datensatz 'p' ist nicht enthalten
  PRINT "Fehler: Datensatz konnte nicht gefunden werden."
END IF
CLOSE #dateinummer
SLEEP
